Debian Bug report logs - #572245
Titles not centered in licenses files

version graph

Package: base-files; Maintainer for base-files is Santiago Vila <sanvila@debian.org>; Source for base-files is src:base-files.

Reported by: Pompee William <william.pompee@gmail.com>

Date: Tue, 2 Mar 2010 16:06:06 UTC

Severity: minor

Found in version base-files/5lenny5

Fixed in version base-files/5.4

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to licensing@fsf.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Santiago Vila <sanvila@debian.org>:
Bug#572245; Package base-files. (Tue, 02 Mar 2010 16:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pompee William <william.pompee@gmail.com>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 02 Mar 2010 16:06:09 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Pompee William <william.pompee@gmail.com>
To: maintonly@bugs.debian.org
Subject: Titles not centered in licenses files
Date: Tue, 02 Mar 2010 17:02:02 +0100
Package: base-files
Version: 5lenny5
Severity: minor
Distribution: stable
Section: main
Architecture: amd64


Hello,

I noticed that several licenses files (Artistic, GFDL-1.2, GPL-2, GPL-3,
LGPL-2, LGPL-2.1, LGPL-3) may differ from the originals in the manner
they are displayed because of the use of the tab character to mainly
(but not only) align titles. The space character should be use instead
providing a constant alignment using any text viewer|editor.

Pompee William





Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#572245; Package base-files. (Wed, 03 Mar 2010 09:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 03 Mar 2010 09:48:15 GMT) Full text and rfc822 format available.

Message #10 received at 572245@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Pompee William <william.pompee@gmail.com>, 572245@bugs.debian.org
Subject: Re: Bug#572245: Titles not centered in licenses files
Date: Wed, 3 Mar 2010 10:45:03 +0100 (CET)
On Tue, 2 Mar 2010, Pompee William wrote:

> Package: base-files
> Version: 5lenny5
> Severity: minor
> Distribution: stable
> Section: main
> Architecture: amd64
> 
> 
> Hello,
> 
> I noticed that several licenses files (Artistic, GFDL-1.2, GPL-2, GPL-3,
> LGPL-2, LGPL-2.1, LGPL-3) may differ from the originals in the manner
> they are displayed because of the use of the tab character to mainly
> (but not only) align titles. The space character should be use instead
> providing a constant alignment using any text viewer|editor.

Hmm, you talk about "the originals". Do you mean to imply that the files
inside base-files are not "the originals"?

They are. So: How am I supposed to "fix" this bug and respecting the
originals as they are at the same time? I really can't.




Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. (Tue, 23 Mar 2010 10:33:08 GMT) Full text and rfc822 format available.

Message #13 received at 572245-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: licensing@fsf.org
Cc: 572245-forwarded@bugs.debian.org, Pompee William <william.pompee@gmail.com>
Subject: Bug#572245: Titles not centered in licenses files (fwd)
Date: Tue, 23 Mar 2010 11:30:42 +0100 (CET)
Hello.

I received this report from the debian bug system.

The submitter complains (rightly, IMHO) that the license texts have
embedded tabs, and explains why such thing is bad. I can't change that
myself, as the licenses do not allow to be changed, but I've noticed
that this file:

http://ftp.gnu.org/gnu/Licenses/COPYING-3.0

has been "expanded" since the last time I retrieved it for the
base-files package.

So: Would be possible for you to do the same with the other licenses in
the same directory? Doing that would be as simple as this:

expand licensetext > new
mv new licensetext

(But you might want to keep the old timestamp as well).

Thanks.

---------- Forwarded message ----------
From: Pompee William <william.pompee@gmail.com>
To: maintonly@bugs.debian.org
Date: Tue, 02 Mar 2010 17:02:02 +0100
Subject: Bug#572245: Titles not centered in licenses files

Package: base-files
Version: 5lenny5
Severity: minor
Distribution: stable
Section: main
Architecture: amd64


Hello,

I noticed that several licenses files (Artistic, GFDL-1.2, GPL-2, GPL-3,
LGPL-2, LGPL-2.1, LGPL-3) may differ from the originals in the manner
they are displayed because of the use of the tab character to mainly
(but not only) align titles. The space character should be use instead
providing a constant alignment using any text viewer|editor.

Pompee William




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#572245; Package base-files. (Sun, 04 Apr 2010 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Sun, 04 Apr 2010 11:06:03 GMT) Full text and rfc822 format available.

Message #18 received at 572245@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: perlbug@perl.org
Cc: 572245@bugs.debian.org, Pompee William <william.pompee@gmail.com>
Subject: Bug#572245: Artistic License has embedded tabs
Date: Sun, 4 Apr 2010 12:51:18 +0200 (CEST)
Hello.

In this bug:

http://bugs.debian.org/572245

a user complains that the file containing the "Artistic License"
(among many other others) has embedded tabs, which might result in the
text not being displayed the same on all systems.

I would fix this myself in the Debian base-files package, but the
license is an official document and I don't think it would be right
for me to do that.

However, this would be very easy to fix on your side:

expand Artistic > A
mv A Artistic

If the new file is included in a future perl release (say 5.10.2),
I will take that as the original.

[ Note: The FSF has already done this: They have just "expanded" all
  their licenses in text format at ftp.gnu.org ].


Follows the original report:

---------- Forwarded message ----------
From: Pompee William <william.pompee@gmail.com>
To: maintonly@bugs.debian.org
Date: Tue, 02 Mar 2010 17:02:02 +0100
Subject: Bug#572245: Titles not centered in licenses files

Package: base-files
Version: 5lenny5
Severity: minor
Distribution: stable
Section: main
Architecture: amd64


Hello,

I noticed that several licenses files (Artistic, GFDL-1.2, GPL-2, GPL-3,
LGPL-2, LGPL-2.1, LGPL-3) may differ from the originals in the manner
they are displayed because of the use of the tab character to mainly
(but not only) align titles. The space character should be use instead
providing a constant alignment using any text viewer|editor.

Pompee William




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#572245; Package base-files. (Thu, 13 May 2010 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Thu, 13 May 2010 16:03:03 GMT) Full text and rfc822 format available.

Message #23 received at 572245@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Pompee William <william.pompee@gmail.com>, 572245@bugs.debian.org
Subject: Re: Bug#572245: Titles not centered in licenses files
Date: Thu, 13 May 2010 18:02:23 +0200 (CEST)
On Tue, 2 Mar 2010, Pompee William wrote:

> Package: base-files
> Version: 5lenny5
> Severity: minor
> Distribution: stable
> Section: main
> Architecture: amd64
> 
> 
> Hello,
> 
> I noticed that several licenses files (Artistic, GFDL-1.2, GPL-2, GPL-3,
> LGPL-2, LGPL-2.1, LGPL-3) may differ from the originals in the manner
> they are displayed because of the use of the tab character to mainly
> (but not only) align titles. The space character should be use instead
> providing a constant alignment using any text viewer|editor.

Hi.

I forwarded your report to the FSF people, who were very kind to
"expand" the tabs in their licenses in text format at ftp.gnu.org,
and also to the Perl people, who unfortunately did not answer at all.

So, I'm going to update the FSF licenses and consider this bug "mostly
fixed". If you don't like this and insist that the perl license should
be "fixed" as well, please talk to upstream, or reopen and reassign to
the perl package, but there is really nothing more I can do about this
as base-files maintainer.

Thanks.




Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Thu, 13 May 2010 17:21:09 GMT) Full text and rfc822 format available.

Notification sent to Pompee William <william.pompee@gmail.com>:
Bug acknowledged by developer. (Thu, 13 May 2010 17:21:09 GMT) Full text and rfc822 format available.

Message #28 received at 572245-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 572245-close@bugs.debian.org
Subject: Bug#572245: fixed in base-files 5.4
Date: Thu, 13 May 2010 17:17:58 +0000
Source: base-files
Source-Version: 5.4

We believe that the bug you reported is fixed in the latest version of
base-files, which is due to be installed in the Debian FTP archive:

base-files_5.4.dsc
  to main/b/base-files/base-files_5.4.dsc
base-files_5.4.tar.gz
  to main/b/base-files/base-files_5.4.tar.gz
base-files_5.4_powerpc.deb
  to main/b/base-files/base-files_5.4_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572245@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated base-files package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 13 May 2010 18:35:42 +0200
Source: base-files
Binary: base-files
Architecture: source powerpc
Version: 5.4
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 base-files - Debian base system miscellaneous files
Closes: 248140 572245 581434
Changes: 
 base-files (5.4) unstable; urgency=low
 .
   * Changed umask in default /etc/profile to 002, which has a little bit
     more sense than 022 on systems like Debian having User Private Groups.
     As usual for /etc/profile, only new installs will have the new default,
     so nobody will be surprised by this on upgrades. Hopefully, this change
     will be documented in the release notes for squeeze as well, for users
     who install squeeze from scratch. Closes: #248140, #581434.
   * Refresh GNU licenses from http://ftp.gnu.org/gnu/Licenses/, as they
     have expanded the embedded tabs. Closes: #572245.
   * Switch to "3.0 (native)" format.
Checksums-Sha1: 
 576d45ebc991662a602c28fd82611cad32379d4a 971 base-files_5.4.dsc
 a7a035eb652be615135cea92838b8dee857f9bec 71285 base-files_5.4.tar.gz
 496524cc7b82a103d4e9c81150b756bdb5d332b8 73410 base-files_5.4_powerpc.deb
Checksums-Sha256: 
 41741b24f0d0b3df8eaa84268e80a976adc772604d52a5f0c3e7fa2e9a74fc4f 971 base-files_5.4.dsc
 0ba2dd22029fdd7eebd56bf2734b560b38db9a9b48e0cf5b4568afef7dcb11bc 71285 base-files_5.4.tar.gz
 00dd8547c38433dd2a00bffdcd65c752a6fefa5fa44934d0b4547719bf5e5940 73410 base-files_5.4_powerpc.deb
Files: 
 f07ba161bec1be496ca814d634873551 971 admin required base-files_5.4.dsc
 e4858789c1d7aff14837dba3e61850ef 71285 admin required base-files_5.4.tar.gz
 efb32989cadfe0a7a14ef06a8ec357d2 73410 admin required base-files_5.4_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQEcBAEBCAAGBQJL7CsvAAoJEEHOfwufG4sysOEIAKhlHQdeB6Wd6bM8J4w5euV8
bZffG3Pq8J2gSbzK9FvYcKvRXN1CP73AxaffMEvLdL1KJZ6aSukzXZXkVXozDYj/
UbVo8fFPAAkwL4h2E5FUCzQaJxPtnlVQYU0/iHgs6nBg8GiRYqW5kom1RzpzKQVm
HRnc3ndSHux8QnzqEFgEsF/3Q8oO7AiHEWd164jBQp/UHtnuWufVtaPSy7mMVb2G
odOWG8K0hsq99rP9KLJFvAfoggib4jK8XVdV1mFK9VuXGcGxTYhlWVrteCY+/ndg
xoLJkQZoKiehQ7zrZmILI6J0g0zHFKtAyg1wp6LfboM2ilhC1wVRicksnwcnHDI=
=vFXM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Jun 2010 07:33:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:42:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.